import request from "../../utils/request";

/**
 * 获取长期医嘱信息包含病人基本信息
 * @param patNo
 * @param times
 * @returns {AxiosPromise}
 */
export function cqYzPrint(patNo,times) {
    return request({
        url: '/medicalAdvice/medicaManagement/cqYzPrint',
        method: 'get',
        params: {patNo, times}
    })
}

/**
 * 获取临时期医嘱信息包含病人基本信息
 * @param patNo
 * @param times
 * @returns {AxiosPromise} yzPrintVOList  patientInfo
 */
export function lsYzPrint(patNo,times) {
    return request({
        url: '/medicalAdvice/medicaManagement/lsYzPrint',
        method: 'get',
        params: {patNo, times}
    })
}

/**
 * 查询病人基本信息
 * @param patNo
 * @param ward
 * @returns {AxiosPromise}
 */
export function queryPatientInfo(patNo,ward) {
    return request({
        url: '/medicalAdvice/medicaManagement/queryPatientInfo',
        method: 'get',
        params: {patNo, ward}
    })
}

export function queryYz(data) {
    return request({
        url: '/medicalAdvice/medicaManagement/queryYz',
        method: 'post',
        data,
    })
}
export function getPatientBaseInfo(data) {
    return request({
        url: '/medicalAdvice/medicaManagement/getPatientBaseInfo',
        method: 'post',
        data,
    })
}